This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 711249 - Import should skip over obsolete translations
Import should skip over obsolete translations
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Ding-Yi Chen
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-06 20:26 EDT by Sean Flanigan
Modified: 2011-10-28 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-28 03:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2011-06-06 20:26:57 EDT
When importing a PO file containing msgids which don't appear in the POT, the server currently rejects the entire file.

error: Unexpected target: 8fae3ebb2c1d08ded523938133b96fcc

The user is supposed to run msgmerge before importing the PO file, which comments out the obsolete messages and thus avoids the error when importing.  But if we change the server to skip over these obsolete messages with a warning, the user would not need to run msgmerge.

NB: the same problem will probably occur with XLIFF and .properties, but they don't even come with a tool like msgmerge.
Comment 1 Sean Flanigan 2011-06-16 04:03:24 EDT
This has been implemented on the server (should be in 1.4).  The Java client will output a warning if returned by the server.

James, could you please update the Python client to do the same?
Comment 2 James Ni 2011-09-29 04:43:08 EDT
This feature is implemented in python client. please check the latest version 1.3.0 and 1.3.1
Comment 3 Ding-Yi Chen 2011-10-03 22:09:42 EDT
VERIFIED with Zanata version 1.4.1-SNAPSHOT (20111003-1737)
Python client 1.3.1
maven client 1.4.1-SNAPSHOT

Note You need to log in before you can comment on or make changes to this bug.